Bulk validate advertisers

Confirms the validity of multiple Advertisers by providing a list of warnings and errors prior to updating. Changes are not saved by the endpoint unless the save parameter is used.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

A mixin that should be inherited by a custom serializer to include the logic for validating warnings.

This mixin works by recursively descending into nested levels of the root serializer,
collecting warnings in a dictionary structure, and raising them at a higher level.

To implement warnings in a custom serializer, two types of methods must be used.
The first type is used to handle field errors: warn_<field name>().
The second type is used for non-field warnings: warn().

Usage:
class NestedSerializer(WarningsSerializerMixin, serializers.Serializer):
baz = serializers.IntegerField()

    def warn_baz(self, value):
        ...

    def warn(self, attrs):
        ....

class RootSerializer(WarningsSerializerMixin, serializers.Serializer):
    foo = NestedSerializer()
    bar = serializers.CharField()

    def warn_bar(self, value):
        ...

    def warn(self, attrs):
        ...

string
length ≤ 191
string | null
string
uri
uri | null
string

Unique Key of the continent, e.q. "EMEA"

string | null
string

The key of the currency

integer | null
integer | null
integer | null
boolean
skad_network
object | null

Convenience mixin to deserialize nullable nested JSON objects to root
fields of a line item.

Implement get_default in mixed-in class. If a null is passed we need to
set internal value to a default value for all fields included in the nested
serializer.

boolean
Defaults to false
string | null

An ID that may be used for any reporting or administrative purpose. Limited to 191 characters.

string | null

Free-form notes of up to 255 characters.

Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

400

Invalid data provided.

401

Authentication credentials were not provided.

403

Permission denied.

500

Internal server error.

Language
Credentials
:
URL
LoadingLoading…
Response
Choose an example:
application/json